6.0.0-git
2019-03-20

[#11301] Search: Menu bar vanishes
Summary Search: Menu bar vanishes
Queue IMP
Queue Version Git develop
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org, slusarz (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-07-20 (2434 days ago)
Due
Updated 2012-10-15 (2347 days ago)
Assigned 2012-10-10 (2352 days ago)
Resolved 2012-10-10 (2352 days ago)
Milestone
Patch No

History
2012-10-15 20:44:37 Git Commit Comment #15 Reply to this comment
Changes have been made in Git (develop):

commit b812b19864c02ada5eb6a549f7140f08d567101b
Author: Jan Schneider <jan@horde.org>
Date:   Wed Oct 10 11:20:23 2012 +0200

     Use DimpBase if available to load search page (Bug #11301).

  imp/lib/Application.php |    9 +++++++--
  1 files changed, 7 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/b812b19864c02ada5eb6a549f7140f08d567101b
2012-10-15 20:44:21 Git Commit Comment #14 Reply to this comment
Changes have been made in Git (develop):

commit a49db3f08f484510b972d10007f7cb8a59704f99
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Oct 9 23:59:39 2012 -0600

     Bug #11301: Fix topbar search link

  imp/lib/Application.php |   18 ++++++++++++++----
  1 files changed, 14 insertions(+), 4 deletions(-)

http://git.horde.org/horde-git/-/commit/a49db3f08f484510b972d10007f7cb8a59704f99
2012-10-10 12:52:51 Thomas Jarosch Comment #13 Reply to this comment
Works fine, thanks.

Tested both traditional and dynamic view.

2012-10-10 09:21:29 Jan Schneider Assigned to Jan Schneider
 
2012-10-10 09:20:51 Git Commit Comment #12 Reply to this comment
Changes have been made in Git (master):

commit b812b19864c02ada5eb6a549f7140f08d567101b
Author: Jan Schneider <jan@horde.org>
Date:   Wed Oct 10 11:20:23 2012 +0200

     Use DimpBase if available to load search page (Bug #11301).

  imp/lib/Application.php |    9 +++++++--
  1 files changed, 7 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/b812b19864c02ada5eb6a549f7140f08d567101b
2012-10-10 08:52:12 Thomas Jarosch Comment #11 Reply to this comment
I meant to say use the search box/search dropdown in the topbar.
That's the one not working -anymore- :)

2012-10-10 08:51:15 Michael Slusarz Comment #10 Reply to this comment
This is the expected behavior.  Use the search link in the sidebar.
I meant to say use the search box/search dropdown in the topbar.
2012-10-10 08:50:07 Thomas Jarosch Comment #9 Reply to this comment
This is the expected behavior.  Use the search link in the sidebar.

This would require way too much additional work to workaround 
(essentially would require click hijacking). It is stable and 
doesn't break anything.  I am not going to rewrite topbar code this 
close to a major release.
Huh. Can we disable/remove the broken link from the dropdown then?
2012-10-10 08:44:54 Michael Slusarz Comment #8
State ⇒ Resolved
Reply to this comment
Hmm, the "Search" link in the dropdown doesn't work in the dynamic view.
I've cleared the browser cache, horde cache and resetted the PHP 
session data.
This is the expected behavior.  Use the search link in the sidebar.

This would require way too much additional work to workaround 
(essentially would require click hijacking). It is stable and doesn't 
break anything.  I am not going to rewrite topbar code this close to a 
major release.
2012-10-10 08:11:58 Thomas Jarosch Comment #7
State ⇒ Assigned
Reply to this comment
commit a49db3f08f484510b972d10007f7cb8a59704f99
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Oct 9 23:59:39 2012 -0600

     Bug #11301: Fix topbar search link
Hmm, the "Search" link in the dropdown doesn't work in the dynamic view.
I've cleared the browser cache, horde cache and resetted the PHP session data.

The whole screen stays the same, just the URL in the browser changes to:
https://192.168.122.254/horde/imp/dynamic.php?page=mailbox#search

"New message" works fine.

2012-10-10 06:01:18 Michael Slusarz Assigned to Michael Slusarz
Taken from Jan Schneider
State ⇒ Resolved
 
2012-10-10 06:01:13 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (master):

commit a49db3f08f484510b972d10007f7cb8a59704f99
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Oct 9 23:59:39 2012 -0600

     Bug #11301: Fix topbar search link

  imp/lib/Application.php |   18 ++++++++++++++----
  1 files changed, 14 insertions(+), 4 deletions(-)

http://git.horde.org/horde-git/-/commit/a49db3f08f484510b972d10007f7cb8a59704f99
2012-09-04 18:58:22 Michael Slusarz Comment #5
State ⇒ Assigned
Reply to this comment
Nope, this is still there and is a design flaw.  Login to dynamic 
view.  Topmenu bar: Click on Mail -> Search.  The dynamic search 
screen is loaded via a URL refresh instead of being loaded into the 
IFRAME, so clicking on buttons in the search screen does nothing (the 
top/side menus don't appear on this page, so that's why they look like 
they "vanish").
2012-09-04 16:05:54 Jan Schneider Comment #4
State ⇒ Feedback
Reply to this comment
I cannot reproduce this. Where exactly do you click? Into the search 
field? On the search icon?
2012-09-01 14:34:01 Thomas Jarosch Comment #3 Reply to this comment
For the record: Ticket is still valid with the latest imp (beta) code.

2012-07-30 17:28:48 Michael Slusarz Comment #2
Assigned to Jan Schneider
State ⇒ Assigned
Reply to this comment
Assigning to Jan, since he wrote the topbar code.  Not sure how he 
wants to deal with this cross-application.  We could always add 
click-detection code in dynamic mailbox view, but that does not feel 
like the correct solution.
2012-07-20 12:46:36 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Search: Menu bar vanishes
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

If I click on "Search" in the top level menu, the complete screen 
content is replaced with the "Search" menu -> Also the top menu bar 
vanishes.

If this is a known issue of the IMP H5 beta version, feel free to 
close this ticket immediately.

Thomas

Saved Queries